%define oname		SFML
%define fname		sfml
%define major		2
%define libname		%mklibname %{fname} %{major}
%define develname	%mklibname %{name} -d

Name:		sfml2
Version:	2.1
Release:	%mkrel 1.1
Summary:	Multimedia C++ API providing access to graphics, input, audio, etc
License:	zlib/png license
Group:		Development/C++
URL:		http://www.sfml-dev.org/
Source0:	http://www.sfml-dev.org/download/sfml/%{version}/%{oname}-%{version}-sources.zip
Patch0:		SFML-2.1-parallel-install.patch

BuildRequires:	cmake
BuildRequires:	dos2unix
BuildRequires:	libjpeg-devel
BuildRequires:	freetype2-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(sndfile)

%description
SFML is a portable and easy to use multimedia API written in C++.
You can see it as a modern, object-oriented alternative to SDL.

SFML is composed of several packages to perfectly suit your needs.
You can use SFML as a minimal windowing system to interface with OpenGL,
or as a fully-featured multimedia library for building games or
interactive programs.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}sfml2.0_0 < 2.0-2
Obsoletes:	%{_lib}sfml22-devel < 2.1-1.1

%description -n %{develname}
Includes files for developing programs based on %{name}


%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}sfml2.0_0 < 2.0-2

%description -n %{libname}
Dynamic libraries from %{name}.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1
# fixup non needed executable permission on regular files
find -type f -print0 | xargs -0 chmod -x

# fixup files line endings
dos2unix license.txt readme.txt
dos2unix examples/*/*/*
dos2unix examples/*/*
dos2unix examples/*
dos2unix include/SFML/*/*
dos2unix include/SFML/*

# make sure we do not use any stuff from there
rm -rf extlibs/

%build
%cmake
%make

%install
%makeinstall_std -C build 

# Make parallel installable with 1.6, pkg-config files are adjusted likewise
# by patch0, so apps properly using pkg-config, won't notice any difference
mkdir -p %{buildroot}%{_includedir}/SFML2
mv %{buildroot}%{_includedir}/%{oname} %{buildroot}%{_includedir}/SFML2

pushd %{buildroot}%{_libdir}
    for i in libsfml-*.so; do
    mv $i $(echo $i | sed 's/.so/-%{version}.so/')
    done
popd

%files -n %{libname}
%doc readme.txt license.txt
%{_libdir}/libsfml-*.so.%{major}
%{_libdir}/libsfml-*.so.%{major}.*

%files -n %{develname}
%doc examples/
%{_includedir}/SFML2
%{_libdir}/*.so
%{_libdir}/pkgconfig/sfml-*.pc
%{_datadir}/%{oname}/cmake
%{_datadir}/%{oname}/*.txt


%changelog
* Wed Aug 14 2013 david.david (MLO Team) <david.david> 2.1-1.1.mga3
+ Rebuild package for Mageia 3 (Core)
- imported package sfml2 from Cauldron
- use correct macro
- version: 2.1
